Bug 436675 - BeanShell Desktop in menus from OpenOffice.org dependancy
BeanShell Desktop in menus from OpenOffice.org dependancy
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: bsh (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Permaine Cheung
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-08 23:34 EST by Josh Boyer
Modified: 2008-03-10 10:18 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-10 10:18:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Boyer 2008-03-08 23:34:59 EST
Description of problem:

Found some random BeanShell Desktop application in my Gnome memu.  I don't need
a Java console thingy, so I tried to remove it.  Then yum wants to remove
openoffice.org-core.  This is odd.

Version-Release number of selected component (if applicable):

openoffice.org-core-2.4.0-9.1.fc9.i386

How reproducible:

Always

Steps to Reproduce:
1. Install openoffice.org-core
2. Watch random bsh package get brought in as a dependency
3. Scratch head
  
Actual results:

bsh is installed

Expected results:

I dunno...  no weird java gui thing in my menu?

Additional info:

If there is a real dependency on bsh for some reason (such as a library or jar
or something), then perhaps splitting bsh into bsh and bsh-desktop packages
would be better.  At the moment, everyone gets BeanShell Desktop installed and
that seems wrong.
Comment 1 Caolan McNamara 2008-03-09 07:36:34 EDT
It is not a packaging error for OOo to depend on bsh. i.e. it's part of the
vanilla openoffice.org for editing macros, and on fedora we use the fedora
packaged bsh. i.e. it can be seen in tools->macros->organize macros->beanshell

Having a bsh split into a bit with menus and without might make sense to reduce
menu clutter.
Comment 2 Permaine Cheung 2008-03-10 10:18:53 EDT
Fixed in Rawhide. The bsh package now has a desktop subpackage which contains
the menu entry.

Note You need to log in before you can comment on or make changes to this bug.